### Method

# ECal ComponentPropertyBag take

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_take (
      ECalComponentPropertyBag* bag,
      ICalProperty* prop
    )

#### Description [src]

Adds the `prop` into the `bag` and assumes ownership of the `prop`.

Available since: 3.34

#### Parameters

`prop`

  Type: `None`

  An `ICalProperty`.

  The instance takes ownership of the data, and is responsible for freeing it.